org.eclipse.net4j.util.ui

## Class AbstractPropertyAdapterFactory

- java.lang.Object
- - org.eclipse.net4j.util.ui.AbstractPropertyAdapterFactory

- All Implemented Interfaces:
    IAdapterFactory

      public abstract class AbstractPropertyAdapterFactory
      extends java.lang.Object
      implements IAdapterFactory

  Since:
    3.2
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPropertyAdapterFactory()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected IActionFilter` | `createActionFilter(java.lang.Object object)`
    `protected abstract IPropertySource` | `createPropertySource(java.lang.Object object)`
    `<T> T` | `getAdapter(java.lang.Object adaptableObject, java.lang.Class<T> adapterType)`
    `java.lang.Class<?>[]` | `getAdapterList()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPropertyAdapterFactory

          public AbstractPropertyAdapterFactory()

  - ### Method Detail

    - #### getAdapterList

          public java.lang.Class<?>[] getAdapterList()

      Specified by:
        `getAdapterList` in interface `IAdapterFactory`

    - #### getAdapter

          public <T> T getAdapter(java.lang.Object adaptableObject,
                                  java.lang.Class<T> adapterType)

      Specified by:
        `getAdapter` in interface `IAdapterFactory`

    - #### createPropertySource

          protected abstract IPropertySource createPropertySource(java.lang.Object object)

    - #### createActionFilter

          protected IActionFilter createActionFilter(java.lang.Object object)

      Since:
        3.4

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html